Name:           jchart2d
Version:        3.2.2
Release:        1%{?dist}
Summary:        Real-time charting library for Java
License:        LGPLv2+
URL:            http://jchart2d.sourceforge.net/
Source0:        http://downloads.sourceforge.net/jchart2d/jchart2d-eclipse-project-%{version}.zip
Source1:        jchart2d-%{version}.pom
BuildArch:      noarch
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  xmlgraphics-commons
BuildRequires:  jide-oss
BuildRequires:  proguard
BuildRequires:  junit
# temporary, until jide-oss ships a POM
Requires:       jide-oss

%description
JChart2D is a minimalist real-time charting library. It is designed for 
displaying multiple traces consisting of tracepoints. JChart2D is centered 
around a single configurable Swing widget: the Chart2D. It is a JComponent 
which can be added to a Java Swing user interface.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
# overwrite bundled libs with symlinks to system libraries
ln -sfn /usr/share/java/xmlgraphics-commons.jar jchart2d/ext/xmlgraphics-commons-1.3.1.jar
ln -sfn /usr/share/java/jide-oss.jar jchart2d/ext/jide-oss-2.9.7.jar
ln -sfn /usr/share/java/proguard/proguard.jar jchart2d/ext/build/proguard-4.5.1.jar
ln -sfn /usr/share/java/junit.jar jchart2d/ext/build/junit-4.8.1.jar
rm jchart2d/ext/build/{jipViewer.jar,profile.jar}
# remove weird extraneous source files
rm jchart2d/src/*Bug*.java

%build
cd jchart2d
mkdir bin
ant makejarFat javadoc

%check
# there are tests, but no ant target to run them

%install
# temporary, until jide-oss ships a POM
%pom_remove_dep com.jidesoft:jide-oss %{SOURCE1}
%mvn_artifact %{SOURCE1} jchart2d/%{name}-%{version}.jar
%mvn_install -J jchart2d/doc/docs/javadoc

%files -f .mfiles
%license lgpl.txt

%files javadoc -f .mfiles-javadoc

%changelog
* Tue Jun 23 2015 Dan Callaghan <dcallagh@redhat.com> - 3.2.2-1
- initial version
